     /***
     *
     *   BrowseAll( oBrowse ) --> oBrowse
     *
     *   Send addColumn() message to passed TBrowse object for
     *   each field of currently selected database
     *
     */

     FUNCTION BrowseAll(oBrowse)

     LOCAL nFld, oColumn

     FOR nFld := 1 TO FCOUNT()
          * Create TBColumn object for current field.  Column
          * heading shall be field name and retrieval block is
          * {|| fieldname}
          oColumn := TBColumnNew( FIELDNAME(nFld), ;
                     FIELDBLOCK(FIELDNAME(nFld), SELECT()) )
          oBrowse:addColumn(oColumn)
     NEXT

     RETURN (oBrowse)     // Return newly "informed" object.


